/*
 * GQoob
 * (C) 2002 John Ellis
 *
 * Author: John Ellis
 *
 * This software is released under the GNU General Public License (GNU GPL).
 * Please read the included file COPYING for more information.
 * This software comes with no warranty of any kind, use at your own risk!
 */


#ifndef IO_MPG123_H
#define IO_MPG123_H


typedef struct _Mpg_Data Mpg_Data;
struct _Mpg_Data
{
	gint version;
	gint layer;
	gint error_protection;
	gint bit_rate;
	gint sample_rate;
	gint padding;
	gint extension;
	gint channel_mode;
	gint mode_extension;
	gint copyright;
	gint original;
	gint emphasis;

	gchar *version_text;
	gchar *version_number_text;
	gchar *layer_text;
	gchar *mode_text;

	gint stereo;			/* if true, 2 or more channels */
	gint file_length;		/* length of file in bytes */
	gint length;			/* length in seconds */
};

typedef struct _ID3_Data ID3_Data;
struct _ID3_Data
{
	gchar *title;
	gchar *artist;
	gchar *album;
	gchar *year;
	gchar *comment;
	guint8 genre;
	gchar *genre_description;
	guint8 track;	/* id3 v1.1 spec */
};

	/* options */
extern gint mpg123_read_id3_tags;

/*
 * =========================== io_mpg123.c
 */
void mpg123_data_init(SongData *sd);
gint mpg123_data_set(SongData *sd, gint read_info);

/*
 * =========================== mpg_hdrutil.c
 */
Mpg_Data *get_mpg_header_info(const gchar *path);

/*
 * =========================== mpg_tagutil.c
 */
gchar* get_id3_genre(gint g);
ID3_Data *get_id3_tag(const gchar *path);
gint set_id3_tag(const gchar *path, const gchar *title, const gchar *artist, const gchar *album,
		 const gchar *year, const gchar *comment, guint8 genre, guint8 track);
void free_id3_tag(ID3_Data *d);

/*
 * =========================== mpg_info.c
 */
GtkWidget *mpg_create_info_window(const gchar *file);


#endif

