/*
 * GQoob
 * (C) 2002 John Ellis
 *
 * Author: John Ellis
 *
 * This software is released under the GNU General Public License (GNU GPL).
 * Please read the included file COPYING for more information.
 * This software comes with no warranty of any kind, use at your own risk!
 */


#ifndef IO_OGG123_H
#define IO_OGG123_H


typedef struct _OGGInfo OGGInfo;
struct _OGGInfo
{
	gint pass_integrity;
	gint channels;
	gint bitrate_lower;
	gint bitrate_upper;
	gint bitrate_average;
	gint bitrate_nominal;
	gint length;		/* seconds */
	gint bytes;		/* file size */
};

	/* options */
extern gint ogg123_read_info;


/*
 * =========================== io_ogg123.c
 */
OGGInfo *ogg123_info_get(const gchar *path);
GList *ogg123_comment_get(const gchar *path);
const gchar *ogg123_comment_value(GList *list, const gchar *key);
gint ogg123_comment_set(const gchar *path, GList *comments);

void ogg123_data_init(SongData *sd);
gint ogg123_data_set(SongData *sd, gint read_info);

void ogg123_init(void);

/*
 * =========================== ogg_info.c
 */
GtkWidget *ogg123_info_window(const gchar *file);


#endif


