/*
 * (SLIK) SimpLIstic sKin functions
 * (C) 2002 John Ellis
 *
 * Author: John Ellis
 *
 * This software is released under the GNU General Public License (GNU GPL).
 * Please read the included file COPYING for more information.
 * This software comes with no warranty of any kind, use at your own risk!
 */

#ifndef UI2_OVERLAY_H
#define UI2_OVERLAY_H


typedef struct _OverlayData OverlayData;
struct _OverlayData
{
	gint x;
	gint y;
	gint width;
	gint height;

	gint dynamic;

	SkinData *skin;
};


OverlayData *overlay_new(gint x, gint y, gint width, gint height, gint dynamic);
void overlay_free(OverlayData *od);

WidgetData *overlay_register(SkinData *skin, OverlayData *od, const gchar *key, const gchar *text_id);
WidgetData *overlay_register_to_skin(const gchar *key, gint x, gint y, gint width, gint height, gint dynamic,
				     SkinData *skin, const gchar *text_id);

RegisterData *overlay_register_key(const gchar *key, UIData *ui,
				   void (*size_func)(OverlayData *od, const gchar *key, gint hidden, gpointer data), gpointer size_data);


WidgetType overlay_type_id(void);
void overlay_type_init(void);


#endif



